## org.biojava.utils.process
Interface InputHandler

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  ReaderInputHandler, SimpleInputHandler

    public interface InputHandler

extends Runnable

Interface to a threadable input handler for an external process. The input handler is used to write the STDIN input of an external process.

Version:
  $Revision: 3634 $
Author:
  Martin Szugat

Method Summary
`OutputStream` `getOutput()` Gets the output stream.
`void` `setOutput(OutputStream output)` Sets the output stream.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setOutput

    void setOutput(OutputStream output)

  Sets the output stream. The input for the external process is read from this output stream.

  Parameters:
    `output` - the output stream. May be `null`.

### getOutput

    OutputStream getOutput()

  Gets the output stream. The input for the external process is read from this output stream.

  Returns:
    the output stream. May be `null`.